Bug 443109 - Installer hangs when installing fedora 9 preview release
Installer hangs when installing fedora 9 preview release
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-pyblock (Show other bugs)
9
i386 Linux
urgent Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 13:42 EDT by Edward Karavakis
Modified: 2009-07-14 09:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 09:57:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Karavakis 2008-04-18 13:42:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.13) Gecko/20080325 Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
The fedora 9 preview release (DVD i386) installer hangs as soon as I select the keyboard layout (US) and press enter.
Tried the text mode installer as well and the same happens:
install exited abnormally [1/1]
sending termination signals...done <Tabsending kill singals...dones | <Space> selects | <F12> next screen
disabling swap...
unmounting filesystems...
/mnt/runtime done
disabling /dev/loop0 /proc done /dev/pts done /sys done /mnt/source done /selinux done 
you may safely reboot your system

smolt profile: http://www.smolts.org/client/show/pub_4db3f5e4-e975-4645-8102-ac5fa047c2a0

Version-Release number of selected component (if applicable):
anaconda 11.4.0.73

How reproducible:
Always


Steps to Reproduce:
1. Boot the fedora 9 preview release dvd
2. select language
3. select keyboard layout and press netxt

Actual Results:
installer hangs

Expected Results:
installer should work

Additional info:
Comment 1 Jeremy Katz 2008-04-18 13:59:03 EDT
What's the last thing on tty3?
Comment 2 Edward Karavakis 2008-04-18 14:08:17 EDT
hm,
INFO: Loading SELinux policy
INFO: getting ready to spawn shell now 
FATAL: Module md not found.
FATAL: Module blkcipher not found
... blah blah blah..
WARNING: step installtype does not exist
WARNING: step confirminstall does not exist
WARNING: step complete does not exist
INFO: moving (1) to step welcome
INFO: moving (1) to step betanag
INFO: moving (1) to step language
INFO: moving (1) to step keyboard
INFO: moving (1) to step findrootparts
Comment 3 Edward Karavakis 2008-04-18 14:12:17 EDT
tty4:
<6>device-mapper: multipath: version 1.0.5 loaded
<6>device-mapper: multipath round-robin: version 1.0.0 loaded
<6>device-mapper: multipath emc: version 0.0.3 loaded
tty5:
Running.. /bin/mount -n -t iso9660 -o ro /dev/sr0 /mnt/source
Running.. /bin/mount -n -t iso9660 -o ro,loop=/dev/loop0
/mnt/source/images/stage2.img /mnt/runtime
mount: wrong fs type, bad option, bad superblock on /dev/loop0, missing codepage
or helper program, or other error. In some cases useful info is found in syslog
- try dmesg | tail or so
Running.. /bin/mount -n -t ext3 -o ro,loop=/dev/loo0
/mnt/source/images/stage2.img /mnt/runtime
mount: wrong fs type, bad option, bad superblock on /dev/loop0, missing codepage
or helper program, or other error. In some cases useful info is found in syslog
- try dmesg | tail or so
Running.. /bin/mount -n -t squashfs -o ro,loop=/dev/loop0
/mnt/source/images/stage2.img /mnt/runtime
Comment 4 Jeremy Katz 2008-04-18 14:23:32 EDT
Does booting with 'linux nodmraid' help?
Comment 5 Edward Karavakis 2008-04-18 14:30:24 EDT
nope, it crashes again...
Comment 6 Jeremy Katz 2008-04-18 14:32:56 EDT
How about 'nodmraid nompath' ? 

As this is a really weird place to be actually having a crash :-/
Comment 7 Edward Karavakis 2008-04-18 14:47:31 EDT
works fine with the nodmraid nompath option, thanks :)
Comment 8 Edward Karavakis 2008-04-18 15:49:08 EDT
After completing a successful install with the nodmraid nompath option, I cannot
boot F9 preview release:

Booting the kernel.
Red Hat nash version 6.0.47 starting
mount: could not find filesystem '/dev/root'
setuproot: moving /dev failed: No such file or directory
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
Mount failed for selinuxfs on /selinux: No such file or directory
switchroot: mount failed: No such file or directory
Comment 9 Edward Karavakis 2008-04-18 16:12:18 EDT
any tip?
Comment 10 Edward Karavakis 2008-04-19 07:33:27 EDT
I've tried fedora 9 release preview live i686 as well:
Decompressing Linux... done.
Booting the kernel.
sd 4:0:0:0: [sdc] Assuming drive cache: write through
sd 4:0:0:0: [sdc] Assuming drive cache: write through
end_request: I/O error, dev sr0, sector 1407616
Buffer I/O error on device sr0, logical block 175952
end_request: I/O error, dev sr0, sector 1407616
Buffer I/O error on device sr0, logical block 175952
end_request: I/O error, dev sr0, sector 1407616
Buffer I/O error on device sr0, logical block 175952
end_request: I/O error, dev sr0, sector 1407616
Buffer I/O error on device sr0, logical block 175952
Unable to find persistent overlay: using temporary
Red Hat nash version 6.0.47 starting
Setting up new root fs
no fstab.sys, mounting internal defaults
umounting old /dev
umounting old /proc
umounting old /sys

and then it boot the live cd normally. Does this mean that my cdrom drive is
faulty? What's the umounting old /dev /proc /sys all about?

When I install the live cd using the 'install to hard drive' option and do a
reboot I get the same error and the system freezes:
Booting the kernel.
Red Hat nash version 6.0.47 starting
mount: could not find filesystem '/dev/root'
setuproot: moving /dev failed: No such file or directory
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
Mount failed for selinuxfs on /selinux: No such file or directory
switchroot: mount failed: No such file or directory

any help would be appreciated. thanks 
Comment 11 Bug Zapper 2008-05-14 05:40:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Brennan Ashton 2008-06-07 19:28:56 EDT
Is this working for you in F9 release?
Comment 13 Peta 2008-12-29 15:58:08 EST
Version 8, 9 and now 10 fail to install and the problem isn't the installation of the Kernel.  It is the installation of the additional software.

STOP IT.  

The thing that Anaconda needs to do is ensure that a base kernel is installed.  Other packages can aways be installed later or on line, but without the base OS, there is no basis for success.

So, break the installation in two steps:

1. Kernel installation to the point you can reboot and get a prompt.
2. Installation of other software.

I for one am tired of a failed installation because a graphics package or word processing package doesn't have all it's bits.

FIX IT....(As they say on SNL...)  FIX IT NOW!!
Comment 14 jkieee 2009-02-18 07:11:33 EST
Hi, I have a FC6+Windows XP dual system, recently, if I try to boot my FC5, I will get lots of

"Buffer I/O error on device dm-0, logical block 0"
and then the messages
"EXT3-fs: Can't read superblock on 2nd try."
"mount: error mounting /dev/root on /sysroot as ext3: Invalid argument"
"setuproot: moving /dev/ failed: No such file or directions"
"setuproot: error mounting /proc: No such file or directory"
"setuproot: error mounting /sys: No such file or directory"
"switchroot: mount failed: No such file or directory"
"Kernel panic - not syncing: Attempted to kill init!"

All this happened at once when trying to boot fedora.

I am wondering you if you could help solve the problem, at least I need to access some data in the linux partition. Thanks in advance.
Comment 15 Bug Zapper 2009-06-09 20:15:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-07-14 09:57:56 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.